---
id: release-6.1
title: "PeerTube 6.1 is out!"
date: April 29, 2024
---

We're pleased to announce the 6.1 release of PeerTube 🙂

In addition to the integration of account import/export and other great features that we'll detail in this blog post, this version fixes 2 important security vulnerabilities concerning the ActivityPub federation (detailed at the end of the article).

We therefore recommend that you update your instances as soon as possible!

#### Account import/export

It is now possible to export all your account data (videos, channels, preferences, etc.) to a downloadable archive. This archive can be used as a backup tool or re-imported to another PeerTube instance. To be clear, this is **not** (yet) an account migration! Data (such as channels or videos) is **duplicated** and **not moved** from your old PeerTube account to your new instance.

You can find the list of data that will or won't be exported in [our documentation](https://docs.joinpeertube.org/use/setup-account#account-export)!

![Image of the export section](/img/news/release-6.1/en/export_account.png)

This feature simplifies the process of creating an account on the "right" PeerTube instance, as it's now much easier to switch!

#### Original video file preserved

Until now, when you uploaded a video to PeerTube, it was transcoded into multiple formats and the original file was deleted. From v6.1, this version is preserved and can be downloaded from your library, as well as being present in the export archive!

In practical terms, this means that you can have **an archive of your videos on a PeerTube instance** (rather than taking up space on both your personal hard drive **and** a lower quality on the PeerTube instance).

![image of the video download popup](/img/news/release-6.1/en/video-share-download.png)

#### Banner and avatar for instances

To help you better customize your instance, you can now add a banner that will be visible in the instance search on [JoinPeerTube](https://joinpeertube.org/instances) and on your PeerTube instance on the *About* page, login page, registration page, and also on the homepage using [the special `<peertube-instance-banner>` tag](https://docs.joinpeertube.org/api/custom-client-markup#peertube-instance-banner)!

![Banner on JoinPeerTube sepia](/img/news/release-6.1/en/PeerTube_banner_sepia_search.png)

As for the avatar, it will be visible on the [future mobile application](https://joinpeertube.org/news/peertube-future-2024) and can also be [used](https://docs.joinpeertube.org/api/custom-client-markup#peertube-instance-avatar) on the homepage of your instance!


#### Shorter duration to count a view

To get closer to the behaviour of other centralised video platforms (Vimeo, Instagram, TikTok, Mux...), we've decided to count a *View* after **10 seconds** (instead of 30 seconds).

But that's not the only thing that's changing: a view is no longer based on the user's IP address, but on a unique identifier generated by the web browser. This ensures, for example, that a video watched by 20 people in a university does not count as just one (because the computers tend to have the same IP address).

By the way, uploaders can access [to detailed statistics](https://docs.joinpeertube.org/use/video-stats) on views and viewers. And PeerTube v6.1 now shows the number of viewers by *region* in addition to *country*.

#### More accessible subtitles

Access to subtitles has been made easier by adding an icon directly in the video player. Clicking on the **CC** button (7 in the screenshot) will display the subtitles in the last used language (or the first available in the list). You can also select a different language from the player settings menu (8 in the screenshot).

![view of the video player](/img/news/release-6.1/en/video-player-watch.png)

#### ...and there's always more!

As always, there are many other improvements, bug fixes and changes. The full list can be found in [the changelog](https://github.com/Chocobozzz/PeerTube/releases/tag/v6.1.0), but here's a small selection:

  * This release fixes 2 major security issues in the ActivityPub federation. The first fix prevents data associated with private videos (likes, comments, etc.) from being leaked. The other fixes incorrect access control of objects coming from the federation. More details about this second vulnerability will be provided at a later date.
  * Turkish joins the family of 37 languages available on PeerTube! Thank you (*merci*, *gracias*, *teşekkürler*) to everyone who contributed to the thousands of translated strings!
  * On the UX (User eXperience) side, you can now download a video directly from your library, and admins have the ability to sort users and videos by file size stored on the server disk.

Do you want to help us improve PeerTube? You can **by sharing this information**, by [suggesting improvements](https://ideas.joinpeertube.org/) and, if you can afford it, by [donating to Framasoft](https://support.joinpeertube.org), the association that develops PeerTube.

Thanks in advance for your support!

Framasoft
